Bug 30302 - %config files should be marked as noreplace
Summary: %config files should be marked as noreplace
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-02 15:19 UTC by Enrico Scholz
Modified: 2007-04-18 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 20:20:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-03-02 15:19:31 UTC
The configuration files in /etc/httpd/conf ({access,httpd,srm}.conf} are
containing usually a lot of manually added/modified entries and don't
change between different apache versions.

So it makes no sense to install at any update the RH-configuration files
and rename the old ones to ...rpmsave. It's better to mark them as
`%config(noreplace)'.

Comment 1 Daniel Roesen 2001-03-06 16:47:51 UTC
Seconded.

Comment 2 Enrico Scholz 2001-05-29 22:09:49 UTC
still in apache-1.3.20-1

Comment 3 Enrico Scholz 2001-06-11 20:20:09 UTC
since the default httpd.conf enables modules disabled by me formerly and changes
security-relevant options, I will mark it with severity "Security"...

Comment 4 Nalin Dahyabhai 2001-07-24 19:05:50 UTC
There weren't marked noreplace for the sake of a documentroot transition
between 6.2 and 7.0, but this will be changed in 1.3.20-6 and later.


Note You need to log in before you can comment on or make changes to this bug.